org.apache.cassandra.cql3

## Class Maps.Value

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Maps.Value

- All Implemented Interfaces:
    Term
  Enclosing class:
    Maps

      public static class Maps.Value
      extends Term.Terminal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.nio.ByteBuffer,java.nio.ByteBuffer>` | `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value(java.util.Map<java.nio.ByteBuffer,java.nio.ByteBuffer> map)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(MapType mt, Maps.Value v)`
    `static Maps.Value` | `fromSerialized(java.nio.ByteBuffer value, MapType type, int version)`
    `java.nio.ByteBuffer` | `get(int protocolVersion)`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

      `bind, bindAndGet, collectMarkerSpecification, containsBindMarker, getFunctions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          public final java.util.Map<java.nio.ByteBuffer,java.nio.ByteBuffer> map

  - ### Constructor Detail

    - #### Value

          public Value(java.util.Map<java.nio.ByteBuffer,java.nio.ByteBuffer> map)

  - ### Method Detail

    - #### fromSerialized

          public static Maps.Value fromSerialized(java.nio.ByteBuffer value,
                                                  MapType type,
                                                  int version)
                                           throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### get

          public java.nio.ByteBuffer get(int protocolVersion)

      Specified by:
        `get` in class `Term.Terminal`
      Returns:
        the serialized value of this terminal.

    - #### equals

          public boolean equals(MapType mt,
                                Maps.Value v)

Copyright © 2018 The Apache Software Foundation